### Signal

# Atk Component::bounds-changed

#### Declaration

    void
    bounds_changed (
      AtkComponent* self,
      AtkRectangle* arg1,
      gpointer user_data
    )

#### Description [src]

The ‘bounds-changed” signal is emitted when the position or size of the component changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`arg1`

  Type: `AtkRectangle`

  The AtkRectangle giving the new position and size.

  The data is owned by the caller of the function.